<?php

if ( ! function_exists( 'oaza_mikado_map_post_quote_meta' ) ) {
	function oaza_mikado_map_post_quote_meta() {
		$quote_post_format_meta_box = oaza_mikado_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Quote Post Format', 'oaza' ),
				'name'  => 'post_format_quote_meta'
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_post_quote_text_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Quote Text', 'oaza' ),
				'description' => esc_html__( 'Enter Quote text', 'oaza' ),
				'parent'      => $quote_post_format_meta_box
			)
		);
		
		oaza_mikado_create_meta_box_field(
			array(
				'name'        => 'mkdf_post_quote_author_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Quote Author', 'oaza' ),
				'description' => esc_html__( 'Enter Quote author', 'oaza' ),
				'parent'      => $quote_post_format_meta_box
			)
		);
	}
	
	add_action( 'oaza_mikado_action_meta_boxes_map', 'oaza_mikado_map_post_quote_meta', 25 );
}